
from rest_framework import exceptions
from rest_framework.authentication import TokenAuthentication
from django.utils.translation import gettext_lazy as _
from .models import Token

class ApiTokenAuthentication(TokenAuthentication):
    model = Token

    def authenticate_credentials(self, key):
        """Authenticate a token"""
        user, token = super().authenticate_credentials(key)

        if token.expired():
            msg = _("API Token expired")
            raise exceptions.AuthenticationFailed(msg)

        return user, token

